Bug 193976 - xsane fails to open device.
Summary: xsane fails to open device.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-03 17:01 UTC by Ben Singer
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 13:36:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Singer 2006-06-03 17:01:40 UTC
Description of problem:

I have HP PSC-750 printer/scanner. When using
xsane I get the following error message

Failed to open device 'hpaio:usb/PSC_750?serial=MMY14JB1181WB':
Error during device I/O

and a bunch of selinux error messages in /var/log/messages

Jun  3 19:45:38 localhost kernel: audit(1149353138.374:12): avc:  denied  { dac_
override } for  pid=3214 comm="hpiod" capability=1 scontext=system_u:syste
m_r:hp lip_t:s0 tcontext=system_u:system_r:hplip_t:s0 tclass=capability
Jun  3 19:45:38 localhost kernel: audit(1149353138.374:13): avc:  denied  { dac_
override } for  pid=3214 comm="hpiod" capability=1 scontext=system_u:syste
m_r:hp lip_t:s0 tcontext=system_u:system_r:hplip_t:s0 tclass=capability
Jun  3 19:45:38 localhost kernel: audit(1149353138.374:14): avc:  denied  { dac_
read_search } for  pid=3214 comm="hpiod" capability=2 scontext=system_u:sy
stem_r :hplip_t:s0 tcontext=system_u:system_r:hplip_t:s0 tclass=capability
Jun  3 19:45:38 localhost kernel: audit(1149353138.374:15): avc:  denied  { crea
te } for  pid=1834 comm="python" scontext=system_u:system_r:hplip_t:s0 tco
ntext= system_u:system_r:hplip_t:s0 tclass=netlink_route_socket
Jun  3 19:45:38 localhost hpiod: unable to Device::Open hp:/usb/PSC_750?serial=M
Y14JB1181WB io/hpiod/device.cpp 862
Jun  3 19:45:38 localhost kernel: audit(1149353138.510:16): avc:  denied  { dac_
override } for  pid=3213 comm="hpiod" capability=1 scontext=system_u:syste
m_r:hp lip_t:s0 tcontext=system_u:system_r:hplip_t:s0 tclass=capability
Jun  3 19:45:38 localhost kernel: audit(1149353138.510:17): avc:  denied  { dac_
override } for  pid=3213 comm="hpiod" capability=1 scontext=system_u:syste
m_r:hp lip_t:s0 tcontext=system_u:system_r:hplip_t:s0 tclass=capability
Jun  3 19:45:38 localhost kernel: audit(1149353138.510:18): avc:  denied  { dac_
read_search } for  pid=3213 comm="hpiod" capability=2 scontext=system_u:sy
stem_r :hplip_t:s0 tcontext=system_u:system_r:hplip_t:s0 tclass=capability

Version-Release number of selected component (if applicable):

hplip-0.9.11-1.2
xsane-0.99-2.2.fc5.4
sane-backends-1.0.17-5.fc5.9
sane-frontends-1.0.14-1.2.1
libsane-hpaio-0.9.11-1.2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tim Waugh 2006-12-15 13:36:06 UTC
Same cause as bug #193966 by the look of it.


Note You need to log in before you can comment on or make changes to this bug.